Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-2726

Overview

Vulnerability Score 2.1 2.1
CVE Id CVE-2012-2726
Last Modified 27 Jun 2012 12:00:00
Published 26 Jun 2012 08:55:05
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity HIGH
Authentication SINGLE_INSTANCE

CVE-2012-2726

Summary

Cross-site scripting (XSS) vulnerability in the Protest module 6.x-1.x before 6.x-1.2 or 7.x-1.x before 7.x-1.2 for Drupal allows remote authenticated users with the "administer protest" permission to inject arbitrary web script or HTML via the protest_body parameter.

Vulnerable Systems

Application

  • Alberto Trujillo Gonzalez Protest 6.x-1.0

  • Alberto Trujillo Gonzalez Protest 6.x-1.x

  • Alberto Trujillo Gonzalez Protest 7.x-1.0

  • Alberto Trujillo Gonzalez Protest 7.x-1.x


References

XF - protest-protestbodyparameter-xss(76126)

OSVDB - 82715

MLIST - [oss-security] 20120613 Re: CVE Request for Drupal contributed modules

SECUNIA - 49386

CONFIRM - http://drupalcode.org/project/protest.git/commitdiff/cf8c543

CONFIRM - http://drupalcode.org/project/protest.git/commitdiff/c85eaed

MISC - http://drupal.org/node/1619856

CONFIRM - http://drupal.org/node/1618092

CONFIRM - http://drupal.org/node/1618090


Last Updated: 27 May 2016 10:56:35